jQuery(document).ready(function($) {
    // Terms and Conditions content
    var termsContent = `
        <h2>Terms and Conditions for VRS 2.0 WordPress Plugin</h2>
        
        <h3>1. Acceptance of Terms</h3>
        <p>By using the VRS 2.0 WordPress plugin ("the Plugin"), you agree to be bound by these Terms and Conditions. If you do not agree to these terms, please do not use the Plugin.</p>
        
        <h3>2. License Grant</h3>
        <p>Subject to these Terms and Conditions, we grant you a limited, non-exclusive, non-transferable license to use the Plugin for your personal or business website(s).</p>
        
        <h3>3. Restrictions</h3>
        <p>You may not:</p>
        <ul>
            <li>Modify, distribute, or create derivative works based on the Plugin</li>
            <li>Reverse engineer, decompile, or disassemble the Plugin</li>
            <li>Remove any copyright or other proprietary notices from the Plugin</li>
            <li>Transfer your license to any third party</li>
        </ul>
        
        <h3>4. Updates and Support</h3>
        <p>We may, at our discretion, provide updates or support for the Plugin. Any such updates or support shall be subject to these Terms and Conditions.</p>
        
        <h3>5. Intellectual Property</h3>
        <p>The Plugin, including all intellectual property rights therein, remains the property of the Plugin developers. This agreement does not transfer any ownership rights.</p>
        
        <h3>6. Disclaimer of Warranty</h3>
        <p>The Plugin is provided "as is" without warranty of any kind, either express or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose.</p>
        
        <h3>7. Limitation of Liability</h3>
        <p>In no event shall the Plugin developers be liable for any damages arising out of the use or inability to use the Plugin.</p>
        
        <h3>8. Termination</h3>
        <p>This license is effective until terminated. Your rights under this license will terminate automatically without notice if you fail to comply with any of its terms.</p>
        
        <h3>9. Governing Law</h3>
        <p>These Terms and Conditions shall be governed by and construed in accordance with the laws of [Your Jurisdiction], without regard to its conflict of law provisions.</p>
        
        <h3>10. Changes to Terms</h3>
        <p>We reserve the right to modify these Terms and Conditions at any time. Please review these terms periodically for changes.</p>
        
        <h2>Warranty Exceptions:</h2>
        <h3>Exception - On Site Labor:</h3>
        <p>Hourly Labor and Labor at a client physical location (site) comes with a limited lifetime warranty to be free of defects and last for years.</p>
        
        <h3>Exception Equipment Installed On Site:</h3>
        <p>Equipment installed On Site is Warrantied for 1 year from the date of purchase. If the manufacturer has a longer, such as, lifetime or limited-lifetime upRiver Support will transfer title of the warranty to client.</p>
        <p>upRiver Support Agents maintain all equipment. We will pick up / return and install equipment and systems. We ask that our client's pay hourly labor to an authorized upRiver Support Agent that installs new or replaces faulting / failing equipment.</p>
        
        <h3>Exception - Battery Backups and Surge Protection:</h3>
        <p>Client locations are always offered the ability to have surge protection and battery backups in case of weather related and electrical wiring related to power spikes, surges etc and or a combination. Many of the products we offer for sale online and install on a client site are low voltage DC systems. These systems when connected to a computer network need strict regulation of power to operate properly.</p>
        <p>We offer Power Surge and Backup Power Protection Systems to all clients yet some will decline this support. In those cases we can only honor the manufactures warranty and cannot guaranty your equipment and the lifespan of the hardware will be shortened. Weather and Dirty Power is a number 1 and 2 reason for most equipment failure. Especially in dealing with low voltage systems.</p>
        
        <p><strong>NOTE:</strong> <em>Warranty on Labor / Equipment is void unless a proper power surge and backup system is installed.</em><br>
        If the power system is malfunctioning and a work around is put in place or a temporary patch is employed, all warranty of the Labor / Equipment is void (except with manufactures warranty)</p>
        
        <h2>UPRIVER.STUDIO / SPEEDSTREAM.TV Warranty, Service Level Agreements, Privacy Policy</h2>
        <p>UPRIVER.STUDIO / SPEEDSTREAM.TV understands that privacy is important. This Privacy Policy applies to any and all services, applications, platforms, websites, or other affiliated ventures offered by UPRIVER.STUDIO / SPEEDSTREAM.TV. Throughout this Policy, "UPRIVER.STUDIO / SPEEDSTREAM.TV" and "We" refers to UPRIVER.STUDIO / SPEEDSTREAM.TV.com and its affiliates. "You" or "Users" refers to you, our users everyone who uses, subscribes to, publishes through, joins, or visits UPRIVER.STUDIO / SPEEDSTREAM.TV. The "UPRIVER.STUDIO / SPEEDSTREAM.TV Service" refers to the applications, platform, web site and services controlled, operated or produced by UPRIVER.STUDIO / SPEEDSTREAM.TV.</p>
        
        <p>By using the UPRIVER.STUDIO / SPEEDSTREAM.TV Service, you expressly consent to the information handling practices described in this notice. This Privacy Policy is incorporated into and is subject to the UPRIVER.STUDIO / SPEEDSTREAM.TV Service Terms of Use. Your use of the UPRIVER.STUDIO / SPEEDSTREAM.TV Service and any personal information you provide through the UPRIVER.STUDIO / SPEEDSTREAM.TV Service are subject at all times to this Privacy Policy and the Terms of Use.</p>
        
        <h3>TABLE OF CONTENTS</h3>
        <ol>
            <li>The Information UPRIVER.STUDIO / SPEEDSTREAM.TV Collects</li>
            <li>The Way UPRIVER.STUDIO / SPEEDSTREAM.TV Uses Information</li>
            <li>When UPRIVER.STUDIO / SPEEDSTREAM.TV Discloses Information</li>
            <li>Your Choices</li>
            <li>Advertisers</li>
            <li>Data Security</li>
            <li>Children's Privacy</li>
            <li>International Visitors</li>
            <li>In the Event of Merger or Sale</li>
            <li>Third Parties</li>
            <li>Changes and Updates to this Privacy Policy</li>
            <li>UPRIVER.STUDIO / SPEEDSTREAM.TV Contact Information</li>
        </ol>
        
        <!-- ... (rest of the privacy policy content) ... -->
        
        <h2>LIMITED LIFETIME HARDWARE WARRANTY</h2>
        <p>UPRIVER.STUDIO / SPEEDSTREAM.TV warrants to the original owner that the product delivered in this package will be free from defects in material and workmanship. This warranty does not cover the product if it is damaged in the process of being installed or improperly used.</p>
        
        <!-- ... (rest of the warranty content) ... -->
        
        <p>By signing below I agree to all policies, terms, conditions and agreements in this document.</p>
        <p>
        Signed:___________________________________              Date:_________________________________<br>
        Print Name:_______________________________               Title:_________________________________<br>
        Email:____________________________________               Mobile Phone:_________________________
        </p>
        <p>Last Modified: October 10, 2024</p>
    `;

    // Initialize the modal
    $("#terms-modal").dialog({
        autoOpen: false,
        height: 400,
        width: 600,
        modal: true,
        buttons: {
            "I Agree": function() {
                $.ajax({
                    url: ajaxurl,
                    method: 'POST',
                    data: {
                        action: 'vrs20_update_terms_agreement'
                    },
                    success: function(response) {
                        if (response.success) {
                            $('#agreement-status').text('You have agreed to the Terms and Conditions on ' + response.data.date + '.');
                            vrs20TermsAgreed = response.data.date;
                        }
                    }
                });
                $(this).dialog("close");
            },
            "Cancel": function() {
                $(this).dialog("close");
            }
        }
    });

    // Set the content of the modal
    $("#terms-modal").html(termsContent);

    // Open the modal when the button is clicked
    $("#open-terms-modal").on("click", function(e) {
        e.preventDefault();
        $("#terms-modal").dialog("open");
    });

    // Check if we're on the Terms and Conditions page
    if ($('body').hasClass('vrs20_stream_page_vrs20_terms_conditions')) {
        // If the user hasn't agreed, open the modal automatically
        if (!vrs20TermsAgreed) {
            $("#terms-modal").dialog("open");
        }
    }
});